#! /usr/bin/python3
# -*- coding: utf-8 -*-

from ventana import *

class MainWindow(QtWidgets.QMainWindow,Ui_dialogo):
    def __init__(self, *args, **kwargs):
        QtWidgets.QMainWindow.__init__(self, *args, **kwargs)
        self.setupUi(self)
        
        #Vincula el boton con el listener
        self.boton_enc.clicked.connect(self.encriptar)
        self.boton_des.clicked.connect(self.desencriptar) 
        self.copiar_cifrado.clicked.connect(self.copiar_c) 
        self.copiar_plano.clicked.connect(self.copiar_p) 
    
    def copiar_c(self):
        self.in_cifrado.setText(self.out_cifrado.text())

    def copiar_p(self):
        self.in_plano.setText(self.out_plano.text())
    
    #Listener del boton
    def encriptar(self):
        minusc="abcdefghijklmnñopqrstuvwxyz"
        mayusc="ABCDEFGHIJKLMNÑOPQRSTUVWXYZ"
        cant=len(minusc)
        k=int(self.in_k.toPlainText())
        
        texto_plano = self.in_plano.toPlainText()
        texto_cifrado = ""
        
        for c in texto_plano:
            if c in minusc:
                print("c: "+c)
                texto_cifrado += minusc[(minusc.index(c)+k)%cant]
            elif c in mayusc:
                texto_cifrado += mayusc[(mayusc.index(c)+k)%cant]
            else:
                texto_cifrado+=c
        
        self.out_cifrado.setText(texto_cifrado)
        
    def desencriptar(self):
        minusc="abcdefghijklmnñopqrstuvwxyz"
        mayusc="ABCDEFGHIJKLMNÑOPQRSTUVWXYZ"
        cant=len(minusc)
        k=int(self.in_k.toPlainText())
        
        texto_plano = self.in_cifrado.toPlainText()
        texto_cifrado = ""
        
        for c in texto_plano:
            print("c: "+c)
            if c in minusc:
                texto_cifrado += minusc[(minusc.index(c)-k)%cant]
            elif c in mayusc:
                texto_cifrado += mayusc[(mayusc.index(c)-k)%cant]
            else:
                texto_cifrado+=c
        
        self.out_plano.setText(texto_cifrado)
        
if __name__ == "__main__":
    app = QtWidgets.QApplication([])
    window = MainWindow()
    window.show()
    app.exec_()
